summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Carlos Corbacho <carlos@strangeworlds.co.uk>2010-05-13 00:24:27 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-13 00:24:27 +0200
commit7a3c2ba4027952391b23b8fabf76ac401ea85cc6 (patch)
treeafdc80850c043daf8ae33c3eb2b8bf140e738974 /development
parent787a12d13d890b1fb08a59a7d2d6a049d21acd8a (diff)
downloadslackbuilds-7a3c2ba4027952391b23b8fabf76ac401ea85cc6.tar.gz
slackbuilds-7a3c2ba4027952391b23b8fabf76ac401ea85cc6.tar.xz
development/django: Updated for version 1.1.1
Diffstat (limited to 'development')
-rw-r--r--development/django/README9
-rw-r--r--development/django/django.SlackBuild93
-rw-r--r--development/django/django.info14
-rw-r--r--development/django/slack-desc28
4 files changed, 83 insertions, 61 deletions
diff --git a/development/django/README b/development/django/README
index 372f4f0c04..270c05d9d1 100644
--- a/development/django/README
+++ b/development/django/README
@@ -1,10 +1,9 @@
-Django is a high-level Python web framework that encourages rapid
+Django is a high-level Python web framework that encourages rapid
development and clean, pragmatic design. It includes a template
engine, and an object-relational mapper.
Although Django can be used without database functionality, it is
especially useful with database support. Various databases are
-supported through Python database bindings. For example, sqlite3
-databases are supported when the pysqlite2 package is installed.
-Due to the dynamic nature of Python software, database bindings
-are not required when Django is built and can be installed later.
+supported through Python database bindings. Due to the dynamic
+nature of Python software, database bindings are not required
+when Django is built and can be installed later.
diff --git a/development/django/django.SlackBuild b/development/django/django.SlackBuild
index 39e419e0aa..d7db781794 100644
--- a/development/django/django.SlackBuild
+++ b/development/django/django.SlackBuild
@@ -1,8 +1,8 @@
#!/bin/sh
-# Slackware build script for Django
+# SlackBuild for Django
-# Copyright (c) 2007 Daniel de Kok <moc.mikciat@leinad>
+# Copyright 2009 Carlos Corbacho <carlos@strangeworlds.co.uk>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -11,56 +11,77 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Exit on most errors
-set -e
-
-PRGNAM=django
-DISTNAM=Django
-VERSION=0.96
-ARCH=${ARCH:-noarch}
+PKGNAM=django
+SRCNAM=Django
+VERSION=${VERSION:-1.1.1}
+ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
-fi
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$DISTNAM-$VERSION.tar.gz
-cd $DISTNAM-$VERSION
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz || exit 1
+cd $SRCNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
-python setup.py bdist
+python setup.py \
+ install \
+ --prefix=/usr \
+ --root="$PKG"
-tar zxvf dist/$DISTNAM-$VERSION-None.linux-$(uname -m).tar.gz -C $PKG
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a AUTHORS LICENSE README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+chmod 0644 $PKG/usr/doc/$PKGNAM-$VERSION/*
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS INSTALL LICENSE README docs/* $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/django/django.info b/development/django/django.info
index 591489b414..31b7a96bc6 100644
--- a/development/django/django.info
+++ b/development/django/django.info
@@ -1,8 +1,10 @@
PRGNAM="django"
-VERSION="0.96"
+VERSION="1.1.1"
HOMEPAGE="http://www.djangoproject.com/"
-DOWNLOAD="http://www.djangoproject.com/download/0.96/tarball/"
-MD5SUM="b4aedad1e90dd38d58ff9fc756180c7d"
-MAINTAINER="Daniel de Kok"
-EMAIL="danieldk@pobox.com"
-APPROVED="rworkman"
+DOWNLOAD="http://media.djangoproject.com/releases/1.1.1/Django-1.1.1.tar.gz"
+MD5SUM="d7839c192e115f9c4dd8777de24dc21c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Carlos Corbacho"
+EMAIL="carlos@strangeworlds.co.uk"
+APPROVED="pprkut"
diff --git a/development/django/slack-desc b/development/django/slack-desc
index 2048e87c58..af07398bf6 100644
--- a/development/django/slack-desc
+++ b/development/django/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-django: django (Python web framework)
-django:
-django: Python is a high-level Python web framework that encourages rapid
-django: development and clean, pragmatic design. It includes a template
-django: engine, and an object-relational mapper.
-django:
-django: The django website can be found at:
-django: http://www.djangoproject.com/
-django:
-django:
-django:
+django: django (Python web framework)
+django:
+django: Django is a high-level Python Web framework that encourages rapid
+django: development and clean, pragmatic design.
+django:
+django: Home Page: http://www.djangoproject.com
+django:
+django:
+django:
+django:
+django: \ No newline at end of file